# std::experimental::latch::is_ready

From cppreference.com
< cpp‎ | experimental‎ | latch

bool is_ready() const noexcept; | (1) | (concurrency TS)

Returns `true` if the internal counter equals zero.

### Parameters

(none)

### Return value

true if the internal counter of *this latch equals zero.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/latch/is_ready&oldid=98574"